{
  description = "NixOS configuration";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = {
    self,
    nixpkgs,
    ...
  } @ inputs: let
    mkHost = hostname: system:
      nixpkgs.lib.nixosSystem {
        inherit system;
        specialArgs = {inherit inputs system;};
        modules = [
          ./modules
          ./configuration.nix
          "${self}/hosts/${hostname}"
        ];
      };
  in {
    nixosConfigurations = {
      moonshadow = mkHost "moonshadow" "x86_64-linux";
      evergloam = mkHost "evergloam" "x86_64-linux";
      nexus = mkHost "nexus" "x86_64-linux";
    };
  };
}
