{
  lib,
  pkgs,
  ...
}:
with lib.hm.gvariant; {
  home = {
    username = "jas";
    homeDirectory = "/home/jas";
    stateVersion = "23.05";
  };

  programs.git = {
    enable = true;
    userEmail = "23226432+hyperreal64@users.noreply.github.com";
    userName = "Jeffrey Serio";
    extraConfig = {
      safe.directory = "/etc/nixos";
      core = {
        editor = "vim";
        pager = "diff-so-fancy | less --tabs=4 -RFX";
      };
      init.defaultBranch = "main";
      pull.rebase = true;
    };
  };

  programs.gpg = {
    enable = true;
    settings = {
      default-key = "0x9129BD07C3509CED";
      no-emit-version = true;
      no-comments = true;
      display-charset = "utf-8";
      keyid-format = "0xlong";
      with-fingerprint = true;
      use-agent = true;
    };
  };

  programs.fzf = {
    enable = true;
    defaultCommand = "fd --type f";
  };

  programs.bat = {
    enable = true;
    config = {
      pager = "less -FR";
      theme = "Catppuccin-Mocha";
    };
  };

  manual.json.enable = true;
}
